Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

NetworkManager-l2tp-1.2.12-1.2 RPM for aarch64

From OpenSuSE Ports Tumbleweed for aarch64

Name: NetworkManager-l2tp Distribution: openSUSE Tumbleweed
Version: 1.2.12 Vendor: openSUSE
Release: 1.2 Build date: Sat Apr 20 19:26:27 2019
Group: Productivity/Networking/System Build host: obs-arm-4
Size: 238381 Source RPM: NetworkManager-l2tp-1.2.12-1.2.src.rpm
Packager: http://bugs.opensuse.org
Url: https://github.com/nm-l2tp/NetworkManager-l2tp
Summary: NetworkManager VPN support for L2TP and L2TP/IPsec
This package contains software for integrating L2TP and L2TP/IPsec
(L2TP over IPsec) VPN support with NetworkManager.

Provides

Requires

License

GPL-2.0-or-later

Changelog

* Mon Mar 25 2019 doug@uq.edu.au
  - Update to version 1.2.12:
    * Updated translations.
    * Added Legacy Proposal button.
    * Added extra IPsec configuration options.
    * renamed Gateway ID to Remote ID.
    * Use /etc/ipsec.d/ipsec.nm-l2tp.secrets instead of
      /etc/ipsec.d/nm-l2tp-ipsec-UUID.secrets.
    * PSK is now Base64 encoded.
    * Legacy KDE Plasma-nm user certificate support.
    * libnm-glib compatibility (NetworkManager < 1.0) is disabled by
      default.
  - Changes from version 1.2.10:
    * Point version 1.2.10 appdata image URIs to nm-1-2 github
      branch.
    * Corrected force UDP encapsulation toggle button behavior.
  - URL and Source0 changes as a consequence of upstream GitHub
    project being renamed from network-manaager-l2tp to
    NetworkManager-l2tp.
  - Use upstream provided xz tarball instead of GitHub generated gz
    tarball.
  - autoreconf no longer required as a result of upstream provided
    xz tarball.
  - Delete any transient nm-l2rp-ipsec-*.secrets files previously
    generated by versions <= 1.2.10 in %%pre section.
  - Delete transient ipsec.nm-l2tp.secrets files in %postun section.
  - remove redundant --without-libnm-glib configure switch which is
    now the default.
  - Package missing COPYING file.
  - Use autosetup and make_build macros.
* Sat Apr 14 2018 bjorn.lie@gmail.com
  - Following changes in NetworkManager: pass without-libnm-glib to
    configure, no longer build deprecated libnm-glib support.
  - Following the above changes: Drop no longer needed
    pkgconfig(NetworkManager), pkgconfig(libnm-glib),
    pkgconfig(libnm-glib-vpn), pkgconfig(libnm-gtk) and
    pkgconfig(libnm-util) BuildRequires.
  - Drop explicit autoconf, automake, gettext and grep BuildRequires:
    libtool BuildRequires is sufficent.
  - Drop unnneeded NetworkManager-applet Requires from gnome
    sub-package, it is not longer of use for us.
* Wed Feb 28 2018 dimstar@opensuse.org
  - Modernize spec-file by calling spec-cleaner
* Sat Aug 12 2017 doug@uq.edu.au
  - Update to version 1.2.8:
    * Updated translations.
    * Stops strongSwan service when a connection cannot be
      established.
  - Changes from version 1.2.6:
    * Prefer building against stable libsecret API.
    * If L2TP port 1701 is already in use, no longer writes
      "leftprotoport=udp/l2tp" (which is equivalent to
      "leftprotoport=udp/1701") to the ipsec config file. This was
      done to ensures L2TP is encapsulated in IPsec.
  - Changes from version 1.2.4:
    * Split libnm-vpn-plugin-pptp.so into a GTK-free core plugin
      usable by nmcli and a UI plugin for nm-applet and gnome
      components.
  - Changes from version 1.2.2:
    * runtime test for strongwan or libreswan no longer performed if
      IPsec tickbox not ticked.
  - Changes from version 1.2.0:
    * NetworkManager 1.1.x and 1.2.0 support
  - Replace pkgconfig(libsecret-unstable) for pkgconfig(libsecret-1)
    BuildRequires following upstreams changes.
  - Introduce GTK-free VPN plugin library to base package.
* Sun Jul 30 2017 doug@uq.edu.au
  - Update to version 1.0.8:
    * Updated translations.
    * Stops strongSwan service when a connection cannot be
      established.
    * sets phase 1 (ike) and phase 2 (esp) ciphers for strongswan to
      the same as those used in version 1.0.4
  - Changes from version 1.0.6:
    * If L2TP port 1701 is already in use, no longer writes
      "leftprotoport=udp/l2tp" (which is equivalent to
      "leftprotoport=udp/1701") to the ipsec config file. This was
      done to ensures L2TP is encapsulated in IPsec.
    * Uses UUID instead of PID for run-time generated filenames
    * No longer temporarily replaces system /etc/ipsec.secrets file
    * IPsec rekeying is now possible because the following file
      remains for the lifetime of the VPN connection :
      /etc/ipsec.d/nm-l2tp-ipsec-UUID.secrets
    * Following line is appended to /etc/ipsec.secrets if the include
      line is missing:
      include /etc/ipsec.d/*.secrets
    * Removed IPsec Group Name from user interface
    * Added IPsec Phase 1 (ike) & Phase 2 (esp) to user interface.
    * New timeout code for IPsec connection up script.
  - Changes from version 1.0.4:
    * xl2tpd-1.3.7 compatibility fix for unrecognized option 'lock'.
    * /usr/sbin/ipsec runtime IPsec stack detection improved so that
      Openswan is rejected and not treated the same as openSwan.
    * Explictly check strongSwan connection has been established.
  - Changes from version 1.0.2:
    * runtime test for strongwan or libreswan no longer performed if
      IPsec tickbox not ticked.
  - Changes from version 1.0.0:
    * auth-dialog ported to libnm-gtk's NMAVpnPasswordDialog.
    * migrated from deprecated libgnome-keyring to libsecret.
    * Requires strongSwan or Libreswan for IPsec support,
      no longer works with Openswan.
    * Added MTU and MRU setting to PPP settings dialog box.
    * IPsec Group Name is now optional in IPsec dialog box.
  - Drop icon install: as there is no icon file in the source
    anymore, nor is there a .desktop file that can make use of the
    icon.
  - Drop --disable-more-warnings from configure line: no longer
    needed.
  - Added %%check section.
  - Replaced Requires strongswan with weaker Recommends strongswan.
  - Replaced plus characters to recommended asterisk characters in
    changes file.
* Tue Oct 28 2014 dimstar@opensuse.org
  - Update to version 0.9.8.7:
    * ipsec: missing curly braces led to always false return.
    * Updated translations.
* Fri Jul 04 2014 hillwood@linuxfans.org
  - Update to version 0.9.8.6:
    * Bugfix: (security) don't start l2tp if IPsec enabled, but
      failed to start.
    * Bugfix: typo in nm-l2tp-service.name.
    * noccp pppd option added.
    * Minor locales fixes.
    * Require new versions of gtk+ and glib.
* Thu Oct 17 2013 hillwood@linuxfans.org
  - Initial package, version 0.9.8:
    * Builds against the GNOME 3.8 versions of GLib and Gtk+.
    * Fix undefuned NM_L2TP_LOCALEDIR.
    * License file added.
    * Minor localization fixes.

Files

/etc/dbus-1/system.d/nm-l2tp-service.conf
/usr/lib/NetworkManager
/usr/lib/NetworkManager/VPN
/usr/lib/NetworkManager/VPN/nm-l2tp-service.name
/usr/lib/nm-l2tp-service
/usr/lib64/NetworkManager/libnm-vpn-plugin-l2tp.so
/usr/lib64/pppd/2.4.7/nm-l2tp-pppd-plugin.so
/usr/share/doc/packages/NetworkManager-l2tp
/usr/share/doc/packages/NetworkManager-l2tp/NEWS
/usr/share/doc/packages/NetworkManager-l2tp/README.md
/usr/share/licenses/NetworkManager-l2tp
/usr/share/licenses/NetworkManager-l2tp/COPYING


Generated by rpm2html 1.8.1

Fabrice Bellet, Wed Jul 10 12:41:35 2019